Index: res/res_jabber.c
===================================================================
--- res/res_jabber.c	(revision 66311)
+++ res/res_jabber.c	(working copy)
@@ -542,6 +542,10 @@
 								}
 							}
 						} else {
+							if (!client->jid->user) {
+								ast_log(LOG_ERROR, "Malformed Jabber ID : %s (domain missing?)\n", client->jid->full);
+								break;
+							}
 							features = aji_highest_bit(features);
 							if (features == IKS_STREAM_SASL_MD5)
 								iks_start_sasl(client->p, IKS_SASL_DIGEST_MD5, client->jid->user, client->password);
